com.google.cloud.dataflow.sdk.transforms.join

## Class KeyedPCollectionTuple.TaggedKeyedPCollection<K,V>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.join.KeyedPCollectionTuple.TaggedKeyedPCollection<K,V>

Enclosing class:
  KeyedPCollectionTuple<K>

    public static class KeyedPCollectionTuple.TaggedKeyedPCollection<K,V>
    extends Object

A utility class to help ensure coherence of tag and input PCollection types.

### Constructor Summary

Constructors
Constructor and Description
`TaggedKeyedPCollection(TupleTag<V> tupleTag, PCollection<KV<K,V>> pCollection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PCollection<KV<K,V>>` `getCollection()` Returns the underlying PCollection of this TaggedKeyedPCollection.
`TupleTag<V>` `getTupleTag()` Returns the TupleTag of this TaggedKeyedPCollection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaggedKeyedPCollection

    public TaggedKeyedPCollection(TupleTag<V> tupleTag,
                                  PCollection<KV<K,V>> pCollection)

### Method Detail

#### getCollection

    public PCollection<KV<K,V>> getCollection()

Returns the underlying PCollection of this TaggedKeyedPCollection.

#### getTupleTag

    public TupleTag<V> getTupleTag()

Returns the TupleTag of this TaggedKeyedPCollection.